
Infrastructure - Task #4217

Story # 3736 (Rejected): CN Consistency Check and CN Recovery

System Metadata repair/merge implementation

2014-01-07 18:15 - Skye Roseboom

Status: Closed Start date: 2014-01-07

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

Create class to repair/merge list of system metadata objects such that a 'merged' version of the system metadata object is

constructed.  

This merged object should follow rules defined in figure 2.1 (audit job merge systemMetadata):

http://mule1.dataone.org/OperationDocs/20131126_cn_audit_design/cn_systemmeta_audit_activity_diagrams.html

MergeSystemMetadata as an implementation of DataRepair has been created.

A rough test harness - MergeSystemMetadataTest has also been created in the cn-audit project.

History

#1 - 2014-01-07 18:15 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2014-01-07 18:15 - Skye Roseboom

- Status changed from In Progress to Testing

#3 - 2014-03-14 17:43 - Robert Waltz

- Target version deleted (2014.2-Block.1.1)

#4 - 2014-07-30 17:52 - Rob Nahf

- Status changed from Testing to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

has been done for a while.  tested in practice.
